#######################################################################
#
#    Renderer for Enigma2
#    Coded by shamann (c)2019
#
#    This program is free software; you can redistribute it and/or
#    modify it under the terms of the GNU General Public License
#    as published by the Free Software Foundation; either version 2
#    of the License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#    
#######################################################################
from Renderer import Renderer
from Tools.Directories import fileExists
from enigma import eServiceCenter, iPlayableServicePtr, eServiceReference, ePixmap
from Components.config import config
from Plugins.Extensions.setupGlass17.weaUtils import fixNameOf, setDefPicon

class g17provTV(Renderer):

	def __init__(self):
		Renderer.__init__(self)
		self.provCache = { }
		self.pngname = ""
		self.__isInst = True
	GUI_WIDGET = ePixmap

	def changed(self, what):
		if self.instance:
			if self.__isInst:
				self.instance.setScale(1)
				self.__isInst = False
				try:
					if config.plugins.setupGlass17.par161.value and config.plugins.setupGlass17.par166.value != "None":
						self.instance.setShowHideAnimation(config.plugins.setupGlass17.par166.value)
				except: pass
			pngname = name = ""
			if what[0] != self.CHANGED_CLEAR:
				service = self.source.service
				if isinstance(service, iPlayableServicePtr):
					info = service and service.info()
					ref = None
				else:  
					info = service and self.source.info
					ref = service
				if info is not None:
					try:
						if isinstance(ref, eServiceReference):
							from Screens.ChannelSelection import service_types_radio, service_types_tv
							typestr = ref.getData(0) in (2, 10) and service_types_radio or service_types_tv
							pos = typestr.rfind(':')
							rootstr = '%s (channelID == %08x%04x%04x) && %s FROM PROVIDERS ORDER BY name' % (typestr[:pos + 1], ref.getUnsignedData(4), ref.getUnsignedData(2), ref.getUnsignedData(3), typestr[pos + 1:])
							provider_root = eServiceReference(rootstr)
							serviceHandler = eServiceCenter.getInstance()
							providerlist = serviceHandler.list(provider_root)
							if not providerlist is None:
								while True:
									provider = providerlist.getNext()
									if not provider.valid(): break
									if provider.flags & eServiceReference.isDirectory:
										servicelist = serviceHandler.list(provider)
										if not servicelist is None:
											while True:
												service = servicelist.getNext()
												if not service.valid(): break
												if service == ref:
													info = serviceHandler.info(provider)
													name = info and info.getName(provider) or ""
													if name != "":
														name = fixNameOf(name)
						if name != "":
							pngname = self.provCache.get(name, "")
							if pngname == "":
								pngname = self.findProv(name)
								if pngname != "":
									self.provCache[name] = pngname
					except: pass
				if pngname == "":
					pngname = self.provCache.get("picon_default", "")
					if pngname == "":
						pngname = self.findProv("picon_default")
						if pngname == "":
							pngname = setDefPicon()
						self.provCache["default"] = pngname
				if self.pngname != pngname:
					self.pngname = pngname
					self.instance.setPixmapFromFile(self.pngname)            		

	def findProv(self, serviceName):
		try:
			pngname = config.plugins.setupGlass17.par39.value + "/piconProv/" + serviceName + ".png"
			if fileExists(pngname):
				return pngname
		except: pass
		return ""
