# -*- coding: utf-8 -*-
from Components.config import config, ConfigSubsection, ConfigYesNo 
import gettext
import os
PLUGINPATH = "/usr/lib/enigma2/python/Plugins/Extensions/setupGlass17/"
config.plugins.setupGlass17 = ConfigSubsection()
config.plugins.setupGlass17.par49 = ConfigYesNo(default = True) # enable translation
try:
	if config.plugins.setupGlass17.par49.value:
		g17_language = []
		g17_language = config.osd.language.value.split("_")
		if os.path.exists(PLUGINPATH + "locale/%s" % (g17_language[0])):
			_ = gettext.Catalog('helpTxt', PLUGINPATH + 'locale', g17_language).gettext
except: pass

NA = _('N/A')
FREE = _('free')
NO_TP = _('TP info is not detected')
NO_REF = _('Reference is not detected')
E_EPG = _('No EPG data available')
EWEA = _('Please wait for the reading and processing of data')+' .....'
OKGREEN = '\n\n' + _('Press button "OK" to select favorite directory.')
A1T1 = _('Autocolor - use definition from skin.xml or g17Screens.py; selected color - display with selected color')
A1T2 = ' ('+_('Channels from all satelitte positions and sk/cz terrestrial channels')+')'
NETATMO = _('No plugin Netatmo installed')
helpTxt = {
'193-0' : _('ECM info is displayed from all channels - current displayed, background recording, streaming etc.'),
'193-1' : _('ECM info is displayed from current channel'),
'189-0' : _('Bitrate is calculated by using included bitrate binary'),
'189-1' : _('Bitrate is calculated by using eBitrateCalculator from plugin BitrateViewer'),
'180-a' : _('All available stations with their modules are displayed one by one with defined switching time'),
'180-b' : _('Info is displayed from Station selected in Netatmo plugin'),
'181-x' : _('Time in seconds'),
'168-F' : _('Real tuner data are displayed'),
'168-T' : _('Data are displayed from Transponder information'),
'161-0' : _('Animations are disabled'),
'161-1' : _('Selected animations are applyied to selected objects'),
'160-0' : _('Do not display info about HDD/SSD state'),
'160-1' : _('HDD/SSD temperature, size and free space is displayed in EMC and Movieplayer infobar'),
'fifo-0' : _('Last 10 searched channels are displayed only'),
'fifo-1' : _('Searched channels are displayed as long list and you can browse in the list'),
'as-1' : _('Refresh time between frames of animated icon (default value is 50ms)'),
'lbs-1' : _('Apply to all screens where the listbox is used'),
'024-0' : _('Nighttime icons are replaced by daytime icons'),
'024-1' : _('Nighttime icons are displayed'),
'ok-1' : _('Press button "OK" to activate selected function'),
'6517-0' : _('Spinner will be used as default from image'),
'6517-1' : _('Spinner will be used from Full HD Glass17. Original spinner is moved to dir spinner-ori'),
'460-0' : _('EPG list will be displayed with selected font size'),
'5017-0' : _('PIP types of channel selections are unavailable'),
'5017-1' : _('PIP types of channel selections are available but it can generate GSOD in some images'),
'141-0' : _('Directory where is located the file: satellites.xml') + OKGREEN,
'144-0' : _('Directory where will be saved actual configuration of FHDG (file: hdg17.conf)') + OKGREEN,
'143n-0' : _('Display forecast for 5 days'),
'143n-1' : _('Display forecast for 10 days at first 5 days after timeout of switch time display next 5 days'),
'101-1' : _('Appears info about sunrise, sunset of planets, sun and moon'),
'00' : _('Sorry, help info is missing'),
'1-0' : _('Info is displayed with defined color'),
'1-1' : _('Info is displayed with autoselected color'),
'5-1' : _('Show extra screen only'),
'10-n' : _('None special info is selected'),
'12-0' : _('Show extra infobar only'),
'12-1' : _('Show side bar and extra infobar only'),
'13-0' : _('1 - fastest, 10 - slowest'),
'14-0' : _('Infobar appears immediately and disapears immediately'),
'14-1' : _('Infobar (dis)appears from full/defined transparency to defined(full) transparency'),
'15-0' : _('Infobar appears immediately and disapears from defined to full transparency'),
'15-1' : _('Infobar (dis)appears from full/defined transparency to defined(full) transparency'),
'17-0' : _('Show extra infobar only'),
'17-1' : _('Show extra infobar and press 2xOK show User info'),
'18-n' : _('Show extra infobar only'),
'19-0' : _('Apears user info press 2x"OK" and disappears with extra infobar'),
'19-1' : _('Apears user info press 2x"OK" and disappears press "OK" or "exit"'),
'20-0' : _('Show actual event(EPG) only'),
'20-1' : _('Press long ">" switch between actual and next evet(EPG)'),
'21-0' : _('Show extra infobar only'),
'21-1' : _('Display ECM PID info with extra infobar'),
'23-0' : _('Show events name in infobar as static text'),
'23-1' : _('Show events name in infobar char by char with typewritter effect'),
'25-0' : _('Show OLED design from "image" definition'),
'27-0' : _('Display "Btr too high - stopped" if realtime bitrate is higher as the set value'),
'29-0' : _('Use only if in your image is keymapping set to "standard Enigma2"'),
'29-1' : _('Use only if in your image is keymapping set to "Neutrino keymap type"'),
'35-0' : _('Show messages in default language - english'),
'35-1' : _('Show localized messages autodetected from active OSD setting of language'), 
'39-0' : _('Infobar disappears after a defined timeout in system settings'), 
'39-1' : _('Infobar activated by switching between channels disappears after a defined timeout in system settings. Infobar activated press "OK" appears permanently but can be cancelled press "exit" or "OK"'),
'39-2' : _('Infobar activated press "OK" appears permanently but disappears press "exit" or "OK"'),
'41-3' : _('Check connection to the point in internet defined by IP adress'),
'1007-70' : _('Wake up HDD/SSD is managing by image only'),
'1007-71' : _('Wake up HDD/SSD if any function cannot read requested info if HDD/SSD is sleeping'),
'104-0' : _('auto - autodetection of tuners presented in box; value (1-19) - display selected numbers of tuners'),
'105-0' : A1T1,
'106-0' : A1T1,
'107-0' : A1T1,
'108-0' : A1T1,
'112-0' : A1T1,
'113-0' : A1T1,
'114-0' : _('Do not display flashing icon "R" in infobar'),
'114-1' : _('Display flashing icon "R" in infobar'),
'42-0' : _('Leave memory management untouched'),
'420-0' : _('Detecting AC3/Dolby in all available audio tracks'),
'420-1' : _('Detecting AC3/Dolby, Dolby Digital 5.1/2.0, DTS, AAC, Mpeg in current audio track'),
'42-1' : _('Automatic memory cleaning - refresh time: 3min'),
'42-2' : _('IP Address used for network status check - available connection to the Internet'),
'43-0' : _('Used to encoding.conf origin from active image'),
'43-1' : _('Used to encoding-user.conf located in /usr/share/enigma2'),
'45-0' : _('Channel selection works with standard functionality'),
'45-1' : _('Press "OK" - activate selected channel and channel selection no appear then press "OK" - disappear channel selection or press "exit" revert on last playd channel before activating Channel selection'),
'46-0' : _('Press "OK" to start selected item without animation'),
'46-1' : _('Press "OK" to start animation before activating selected item'),
'52-0' : _('Show Weather for selected city in the setup'),
'52-1' : _('Press ">" show Weather for next city'),
'53-0' : _('Special info screen (activated press "help") disappear press "help"'),
'53-1' : _('Special info screen (activated press "help") disappear automatically after 20s'),
'54-0' : _('Refresh time for reading ecm.info file'),
'55-0' : _('Disable autocheck of new version of the HDG'),
'55-1' : _('Enable autocheck of new version of the HDG'),
'56-0' : _('Static text - no scrolling'),
'56-1' : _('Roll up at end of text and stop wait selected seconds (text roll delay) then roll down back'),
'56-2' : _('Roll up at end of text and stop'),
'57-0' : _('Text rolling starts with delay defined in skin.xml'),
'57-1' : _('Text rolling starts with selected delay (s)'),
'58-n' : _('None special info is selected'),
'59-0' : _('Show channel name only'),
'59-1' : _('Show number and channel name'),
'59-2' : _('Show satellite position and channel name'),
'59-3' : _('Show number, satellite position and channel name'),
'60-0' : _('None info about "Provider" in infobar'),
'60-1' : _('Show info about "Provider" in infobar'),
'61-0' : _('None info about "Temperature and RPM" in infobar'),
'61-1' : _('Show info about "Temperature and RPM" in infobar'),
'62-0' : _('None info about "CPU usage and Memory usage" in infobar'),
'62-1' : _('Show info about "CPU usage and Memory usage" in infobar'),
'63-0' : _('None info about "Temperature HDD/SSD" in infobar'),
'63-1' : _('Show info about "Temperature HDD/SSD" in infobar'),
'64-0' : _('Do not display selected special info "extensions" in main menu'),
'64-1' : _('Display selected special info "extensions" in main menu'),
'65-0' : _('Temperature will be displayed with units defined in my_city_Code.txt or city_Code.txt'),
'151-0' : _('Temperature will be displayed with units defined in eWea_city_Code.txt'),
'65-c' : _('Temperature will be displayed in Celsius'),
'65-f' : _('Temperature will be displayed in Fahrenheit'),
'66-0' : _('Reconnect time for reading weather data from website in minutes'),
'67-0' : _('Reading weather data from Yahoo rss channel'),
'67-1' : _('Reading weather data from MSN website'),
'90-0' : _('"Find a city" is disabled'),
'90-1' : _('"Find a city" is disabled in extensions list'),
'90-2' : _('"Find a city" is disabled in main menu'),
'91-0' : _('Do not try get data from provider if an error is detected'),
'91-1' : _('Autoreconnect - try get data from provider if an error is detected - try with cycle in selected time while data are not ok'),
'92-0' : _('Display forecast for today and next 3 days'),
'92-1' : _('Display forecast for yesterday, today and next 3 days'),
'93-0' : _('High temperature appear in Autocolor'),
'93-1' : _('High temperature appear in selected color'),
'94-0' : _('Low temperature appear in Autocolor'),
'94-1' : _('Low temperature appear in selected color'),
'95-0' : _('Cold/warm temperature appears in selected color (Cold/Warm color)'),
'95-1' : _('Cold temperature is higher as settings of "Cold temperature" or/and Warm temperature is lower as "Warm temperature"'),
'96-0' : _('Warm temperature limit range: 15-40')+unichr(176).encode("latin-1")+"C",
'97-0' : _('Cold temperature limit range: 1-14')+unichr(176).encode("latin-1")+"C", 
'149-0' : _('Warm temperature limit range: 58-104')+unichr(176).encode("latin-1")+"F",
'150-0' : _('Cold temperature limit range: 33-57')+unichr(176).encode("latin-1")+"F",
'22-1-0' : _('HDD/SSD detected by kernel as device'),
'39-1-0' : _('Path to all required directories like picon, piconProv and more.'),
'124-0' : _('User defined path to all required directories like picon, piconProv and more.') + OKGREEN,
'126-0' : _('Channel numbers are calculated at enigma start so any change in channels order have no effect to channel numbers'),
'126-1' : _('Channel number is calculated after switching between channels always so every change in channel order is applied on calculation of channel number'),
'127-0' : _('Date format will be used from definition in skin part'),
'127-1' : _('Date format will be used as follow'),
'wa' : _('Channel logos with white background')+A1T2,
'ba' : _('Channel logos with black background')+A1T2,
'oa' : _('Channel logos for OLED display')+A1T2,
'wp' : _('Provider logos with white background'),
'bp' : _('Provider logos with black background'),
'ws' : _('Satellite logos with white background'),
'bs' : _('Satellite logos with black background'),
'wc' : _('CA system and SoftCam logos with white background'),
'bc' : _('CA system and SoftCam logos with black background'),
'h' : _('Selected option previews in setup of skin'),
'i' : _('Extra screen previews and icon sets used in infobar'),
'a' : _('Graphics used in extra screen and after download it you get more choices of Extra screen'),
'm' : _('Icons used in some menu types'),
'mb' : _('Big icons used in some menu types'),
'w' : _('Weather icons used in special and user info types: Weather, Weather light a Extended weather'),
'ww' : _('piconWeather white used as second picon type in infobar if is selected'),
'bw' : _('piconWeather black used as second picon type in infobar if is selected'),
'560-1' : _('Animated icons will be displayed'),
'560-0' : _('Static icons will be displayed'),
'wanim' : _('Animated Weather icons used in: Infobar, Special, User info type Weather or Enhanced Weather '),
'z' : _('Channel logos with picture background')+' ('+_('Package of Skylink and Freesat channels only')+')',
'wa5' : _('Channel logos with white background')+A1T2,
'ba5' : _('Channel logos with black background')+A1T2,
'p4' : _('Channel logos with transparent background')+A1T2,
'7z' : _('Tool needed to extract picon packages'),
'p4p' : _('Provider logos with transparent background'),
'p4s' : _('Satellite logos with transparent background')
}
SATLIST = [
("(0.8W) Freesat","","FREESAT","1r-7d4tm7gK-c7qUZs8-PhkcYtpasviMq","0Bwz6mBA7lUOKaklIUFR0eVVvZ1E","1nXZXFjyP_2HsrKlsUmaqKZj0xNfnvc90","0Bwz6mBA7lUOKVWhldmo2WnVielk","1JQfvdgJ2WLNkIIuDYzPR9WjUverRAmzE","1jnbyaniacweAx3R1G7eorprHW0h4SD4L","1g_MjULc264tqxjOGll8Llr5jKT8mwbeW"),
("(0.8W) Digi","","DIGI","1WDLfz-KAkSrO8G3IbCu3uy3JxBXcUhYy","1bi_-1TeLAeXVwWrcStkGvsNDvUCVssWv","1PKJFCo0qCmxgwnD-NK2GBW-Hin4Sqh96","17GCQ0Nicifsp1JZiVPB7j9qVQRjpWB35","1VkDVIfe3e4GJgCGcnBdsDlowDZZlfAmW","14YbeFrd1YPg-83DjvXdU2msmCq3qE0DK","1RdJ5xoixwqE_Wy0w_gncIOFRVV9mNTX9"),
("(16.0E) Antiksat","","ANTIKSAT","1ZU7VnFULDMr6Ueguc5zJS8BRfNSnMu5j","0Bwz6mBA7lUOKVFk5SjJycFM4VlU","1Fhd06qenAKV_V5eYCs2fy2nvaFwMEQPW","0Bwz6mBA7lUOKVFZMQmtPamVkZmM","1FLeBjWxL6RDioAqaUWfjtbRvWfLT1Z6e","1WEp1G7pYgkRWzKdB4aOGCtZKV8FA2o0D","18kJd8J9faE1uH8h_EMKtlXhssDDRz4-M"),
("(16.0E) Orange","","ORANGE","1U4PqOAmztNV8nsUmzzmVvSijdnzmxnWQ","1AfgQR6lfiWwGpLw_gb-BMM5zd20MzpJH","1B5EtquV1b-laPbz9zCDkEdgXTm1r_c-i","1LENadckhKIpf4X5R4VXNnCFYLHBbpz4u","1dlVWTiR3EYsqSXbZPZhOz7CO06YPxMIS","1CTMhxNgO5J2fZ7wHjPt1woOB_LG0JTee","14dUd--GBntCgBs_icGsNOoulcXm7wHci"),
("(23.5E) Skylink","","SKYLINK","1pUCRNJVXfgU7nW1lKXCycpOH7YD1gwK2","0Bwz6mBA7lUOKdTJzb0JlSUg4NVU","1hqNiIDVoy9zZ3vOeAWl5xnQGxafOq5o7","0Bwz6mBA7lUOKbDVtc00wa05MajQ","16g8lOLv3HwHPHvs9WivILWI0m4x1gLnA","1yQ5KrgZVg_EH12KaxLWsf1H5nKDQvNYU","1STdpJi7QEzuKFU2y0Um2Zzivbonhs39S"),
("DVB-T sk/cz","EEEE","EEE","1Orzjtzi-VH05dWR9I74X6AtMDJ5MAwL1","0Bwz6mBA7lUOKOFN6eGJzc1FlUG8","1BZlyQz_xAF6NirKAn8Ht_5luUd3chkjV","0Bwz6mBA7lUOKTGFFMHNJNUhBdkk","1OiD_SfzTqH-uOayEYhCpXVYnLvrzmya5","1QVIdYlkEVLrefqmuferabZk6ejSWInie","1S9Xu1142VEIcd9heMtUluioZj0aPy7LC"),
("(45.0W) Intelsat 14 (IS-14)","C4E","450W","1lv1PkeBgMk9jtKMuYlFl0GgX27Qd7wAX","0Bwz6mBA7lUOKTV9hRGlHcDJkeTg","1Fn7esZpCivE6avSCOcAZPto6g4NpyG9q","0Bwz6mBA7lUOKMWNkWk1MZkIxUG8","1dTcwYxm9x2x5dpuz_j3EX_7wRSbQOqi6","1oXWccowaaZTwgowV5Y6lDwwABje67Q-s","1LslatCLQZgyVJgF8ebBhUDZbrMFQaq5e"),
("(30.0W) Hispasat 1D,1E","CE4","300W","1PX7X8aJO3RNqtnPSzpNfTMi87sLbd62b","0Bwz6mBA7lUOKaFI5RW5GeGp3WHc","1e97-hbGpYGGPDtaMwvY5BbYrKSfKkRlN","0Bwz6mBA7lUOKTGRZYmpYSjhEMDg","13vDCxDWUpid0a1lly-r_hnum5q3SQrBd","1mglLkGhUNjG5kaljNEVsmYfEQ__59hku","1JDDyiPsnr50HNtaLbd1insmWMA4KPG7Z"),
("(27.5W) Intelsat 907","CFD","275W","1sVm-1TM8gmLuJkgpUM-17phQIN-gzrZ_","0Bwz6mBA7lUOKNXo2RGtQZmY4SFk","13c5ziawRHf4jLo-JFwD10HqX6z1o6XJp","0Bwz6mBA7lUOKV004eDlqTDA2bVU","1lw-TTdBAg2NBaKrUJUq9JmZnqi2q-ptv","1w4TB9FEuqElUWOEJGIIhw7xwYNk3UJJD","1rhFTi2mtKk57IA_gHZ0hIEUpKNKqaa8v"),
("(24.8W) AlcomSat 1","D18","248W","134ZsUV_cU9cCaCOUZLbWwab1NB8QZmzO","1TprCE2CaPoHxGq2oiSyD43bzXEAQJnD5","1e3Da1BKv6-NDVGpfCK5zfMA_bcLiS8O8","1G-o1HBmOYBwk4Qs3ZDMVot1BqW-o6QIR","1iX4darCHwsz7rj3dYyV8tYb6kgGgpKb_","1QMXfdgO-OqLAJqb8aqpRyjdtd6kvohwS","1vV0jp1YvPBNusabm0ptsbUwU5XSRANYP"),   
("(22.0W) SES 4","D34","220W","1cwRIwEjNcCf_CXzR8dVcmQtk_0TM1RYg","0Bwz6mBA7lUOKckxIbURHR3Rlbk0","1KjpGo_QYRjMO00ZASbcUfoavg7Mdk8c3","0Bwz6mBA7lUOKUndaMkpsVTBYZ1U","1gHeA4VJQmM9P_slAtANb7AFja4RvYAa5","1H_c8uhCGqsR05no-4zI2odWUeKXvVArX","1l15DO4ugJXO5Ej-1n0O9SSp15rFvzks1"),
("(20.0W) NSS 7","D48","200W","1g5s60HjFcXmWrv5_5ZsOhig2hTDH4D5q","1seB9SB9qxgXI0eVOmHlPg5TYkGXcKRtj","1kYluNrY4MG5pqz79NX6X-xVnWpmbaet2","1I6S1FkZZy3gXIgKMj7CPIc-1oIdYvseY","1SnGVGuMketIh7gTRywa6u9N_Fvd8U_Pk","1pIh3eZhJ_O43Arpg8Avg3_jQ7VV0eY4s","1AKMpiDiLMyb7vMwhazes6lLRg3uWs0Qx"),
("(15.0W) Telstar 12","D7A","150W","1BDruc-6WIao4m03WJaOuspL4If5wKP2K","0Bwz6mBA7lUOKazMxb01ab2NnREk","1Hj7JiiY0owYWoRyEGyTWiw12b2GFX6iF","0Bwz6mBA7lUOKNGgtcDFWbGdCd00","1ost9STB1s21FIDk7tr8BqgbBoMvotLOl","1q6sj8FynT1eKDn3QdUOKkX2s4V0xBqYb","18Fa5Fq00O19V75Up17A_K7FVeB7hCDow"),
("(14.0W) Express AM8","D84","140W","12hoTS8hhhqk4cyAvjj9ODknPx062ktz6","0Bwz6mBA7lUOKcy1oWWJ3U3ZlR28","18ZY11cqI79aQnxZEHl1n3reolN44gu_Q","0Bwz6mBA7lUOKVDRlMG1HSDN3NW8","1Vkobr7on-Nll7JAf79Vk7De8y5Tvd3Zk","1hvN7rGLZZ5iIAHjm5MlnQKrT7CtqaYwy","1bnYsb9zOyY8G7VNZe5Wkxcc0vTLvzupf"),
("(12.5W) Eutelsat 12 West A","D93","125W","1J2cLRZrToDp8ci56__KXGDClo_z0VAdK","0Bwz6mBA7lUOKSFZ4QXllWGNMN3M","1No4Z6wY7hDcvsPJbNJDDF0xzI-fpgXxC","0Bwz6mBA7lUOKVGh3azQzbUNvc28","11XLBut4E6NTaRjA3vRHlGX9-_C349NWn","1P3W3bc0tuKSGijr2Z43IxVFFs_ksKa3f","1OYqes4UnvpnsH2faI0aEZxNXF1Mbisyq"),
("(11.0W) Express AM44","DA2","110W","1c0dgpm6JGF_T9nVRVOhaUkpDOugzQ1O0","0Bwz6mBA7lUOKeTFMVV93cEtaNzA","1afreJF6ES51aG75SKe97zP8__zVugy3d","0Bwz6mBA7lUOKa19tZkw1cmsxNjA","1WT7T3ryqjXv8i90WK8Id6xprnL7cJK3w","1_tzput4VbXkLc6q3lnQd3GsYJwu_w0zt","1mYmx1aOLISIxkrYUm6lQqNH3-O4vIo0j"),
("(8.0W) Eutelsat 8 West B,D","DC0","80W","1miZhqJBAe6coGxbOjoWEtOENz3uDOVPZ","0Bwz6mBA7lUOKbkxlRGlIbXN3ZVE","1jwEva3ZfBH7msEjhM8_AGrQ-94-hOTx7","0Bwz6mBA7lUOKVVN2RVhfMl95MEE","10EMKf5DlaxiRcff5mRjfQxsjJ_SN3zJW","1pDuJtx0eLfZ4jFVmECRQFT9YF78Qt7Co","1ifeX42WvD4mqfWwS0bejsEhpzVfMUmcp"),
("(7.0W) Nilesat 102,201/Eutelsat 7 West A","DCA","70W","1l8Au1teu5Yeh1ezP7htQsdvwY5pk-78y","0Bwz6mBA7lUOKNHhxR1JWbW1Tblk","18VpaMBsLIQk-KA-eKI7iuXsc6ISE0HZ_","0Bwz6mBA7lUOKZ3JzNGs3bTNOdjg","1A2PqFRGemj0tMiEj-D4IEgiiOXp0y4K9","1pMzA3nglIzkf5gWUVThcjkNERZmzENcL","1eYdKge1EZp47Br9K_5Wm-1M4ME9W8CVt"),
("(5.0W) Eutelsat 5 West A","DDE","50W","16eUxG7oaOlp2fA3ws7LrETYssoFgiKgv","0Bwz6mBA7lUOKcEExU3NnemNLamc","1f8MTTxXcvogggs68_E95_uNgQ6Wyh8Vp","0Bwz6mBA7lUOKYUNJNWpmY0hyOWs","1SzJk1xVauVunFT0anYLQYIW4xKCgNHWg","10OR-ThXxWGu44qAa7nqulbUiQCPXb1dA","1Y4nlC7O-AKRlyOrmE5jTyw5Zb29PHREn"),
("(4.0W) Amos 2/Amos 3","DE8","40W","12tIEFHfivCwl5nT5GGQh_Op4NSUe1lbx","0Bwz6mBA7lUOKZlBvbGJuMmJmUGc","1t6gieq0ygzpBsejNfeX6eA71Jd1-Felp","0Bwz6mBA7lUOKSUh2c2ZoMXN5cms","1IBln96nM3wHyuHQ308uWdcbJjsk46e_s","1G22lnOA65M6xuATeHUdTr-dn_nV7GiGc","17vVLayKWqXM5RBDWSAupUebQ0c_sWKVx"),
("(1.0W) Thor 5,6,7/Intelsat 10-02","E06","8W","18orvT_n2xuJJ22DMpaOp2jfkMdy1FAjS","1qYs96yUZuztR4yRL_3ZCHhr5cieH8fcX","187b2WbMrHBjysdLtbDF7ujFnMM6x0b0N","1Tz3Ph4D1JzSAS73GPkW70oPvgBQWly4j","1eRriXQDPnd2CFQUydIkrDK6ep4kOgaPb","1YSf9od6yyu-9KB6qoYmJVZxYJXa0_5Zq","1Md9Qx5vCPHrR9JKvjlwcRlAwmoMcw4ho"),
("(0.8W) Thor 5,6,7/Intelsat 10-02","E08","8W","143UYhpO7ajviMXTXZ_C7PzBKgKN3SvTo","0Bwz6mBA7lUOKVDl6WktLckdLSkE","1h0LLguvL5eA7SgiQLM3Frx9yS_iXjfFU","0Bwz6mBA7lUOKQ203LWhuNkxZLWs","1iggFifsM3sGEU8DgCupftm5YeLqQQrof","1wgKRFPPjdMtwUgxBTEfq2IQAW8Ou1aws","1cLGDaCiV7WZFaV0ebJYYMAjmoIh2RXuZ"),
("(1.9E) BulgariaSat-1","13","19E","15J9ENOk7wxd0xiiYowM-5r-K0OeHSweg","1XIOw-DDs5CQjjRLx2TD-qhzA3UqEak5e","1SKWXxp0sl9z4nfOR3H9bGrtCEl8kkCsr","1mVHsMtYmxkLPo7CsA81exNqwzIMdrmdP","1kWkmaB-Ft64T-IKRp0pYzT3wloBerxuR","19SCxE-79rKI_aMYUDVTFqFuycPCAr57k","1VNpBJ_5AMjHl0R7GFF2Bl5zl0_dKpB0H"),
("(3.0E) Eutelsat 3B","1E","30E","10WDms9C5vsbnT5PB-TGs7nUzrNNondy1","0Bwz6mBA7lUOKNDhVdmk1dWFTRmM","1tHlCP3C20umtCo-MqXv9lwWSdDB41jkX","0Bwz6mBA7lUOKUVF0UG5xMk1wZVk","1ddQ-yPx4wyIWnK_5Ey1WiJ1yi9c-DcXH","1acekOkDvp7fVvMZhewHoLIrrHSZsiBsL","1NSDxqdXXHoDcLv6ndWQsl39hKJ4azrXP"),
("(3.1E) Eutelsat 3B","1F","31E","1o8TTfy9TBBc0EMaCsdceSAE8uAfQ8lx1","0Bwz6mBA7lUOKNFhwNy0xRXVnQUk","1buaGHtcq5dCU-4NG7kABGuHnD7KVwjM7","0Bwz6mBA7lUOKeFhSLXJsWEJaUDg","1-0zO4QBKePfYBsiRt5CV48cmTTl5dAtp","1CU8qZZgurSlDjagAVwb9_o3lOXJq-Nba","19NvJNe_xQtoHIKoAtXozIEylI84JloK-"),
("(4.8E) SES 5/Astra 4A","30","48E","1O9ukKInkX4LlG1rkULVwMTh9EWvBxhKF","0Bwz6mBA7lUOKRkhHbGNXVW1XYlk","1WbFENKMJs4-YteX3PKRd2sUWukr9XIFZ","0Bwz6mBA7lUOKU2E2dWE5TWhpRVE","16EPdImIRXMb1ZZSHIPQ1n4_RnBGyo8KQ","1Y0_DUVlOf8KNfJVqqR_jPw-zsk6FFfYb","1mQb8t7hQSycGQVDaSgCR4jldoPVBWkl3"),
("(4.9E) SES 5/Astra 4A","31","48E","1t2Nh5pU_4hvSf-xzqbnaWgLUanYVmG9C","0Bwz6mBA7lUOKM1F4blRXV0dSaFU","1mlLX9YUqAUid8y4KPmR_2VTJdwlW2EEF","0Bwz6mBA7lUOKZjFNaC1STDVxZFU","1p5ZraG2haONr9Fe4xGTXSfB5rHLIadSJ","1aN2GLNCAX-jdWC67D4fvHauaY-ev6iUX","1FtFfKJi-Tt62Z_KJ0ql_lghWtGf1p5Zv"),
("(7.0E) Eutelsat 7A/7B","46","70E","1cQRsY4PTgF3ONQCxgKxFlKqusSz9Dg3z","0Bwz6mBA7lUOKLVltQlhIMjdlS2c","1aO6HzT4atcbD4rRbkGttVQUW69xgIbxk","0Bwz6mBA7lUOKeVZwSDhoc3luVTA","1EP1MzbLylMQraEqwB-GiJRFFTZ11wm8G","1FPxHzftPXUCGWKyorXwXhV-ZQ0QOxxpr","1Qp94vEn7QVtDgjVFPlDxtmgEWoEy9sdh"),
("(9.0E) Eutelsat 9A","5A","90E","15Msuion-19xqqHm0wg1paO4yLeAX3EFf","0Bwz6mBA7lUOKb0tPcU9qOVM5dVU","1kICelLCg1zFbrQ-99GYncxwET26bVV8C","0Bwz6mBA7lUOKRlNsbjN6TVZlNTg","1qclci3hb7LTE2LBGNJvIrzQoDbreITDj","1xamcSQai-fx9EA_Ezl5b9WLtuXiEUqsw","1FH6AKw7-f_H1nUZFRc6pV67WEM7vLNpf"),
("(10.0E) Eutelsat 10A","64","100E","1OHYGem7eEGP5UvTqtIBRcRTH0rGi263L","0Bwz6mBA7lUOKMXg5a3E0LVZGME0","14a_FlUfqUeZSq6vIWRkERUEHC1i-JLOm","0Bwz6mBA7lUOKc2VkVENlbEpFdTA","11F3K3blPDtCDFNbAu1uBukZeDBhBDR7a","121VGROFaBxHJY_EI64wpZo2Dvmm_7J7E","1Eowa9yOcQ2YJx0T7P2V_OydO0YQt0Zvr"),
("(13.0E) Hot Bird 13B/13C/13D","82","130E","1OAyXOluc_-IADhwv6bjU3hIdPhBHxWAg","0Bwz6mBA7lUOKbEdnT1BzTlNWcFk","1cCsIrzQrJa5sdjWl_1RxrTilbxAQQeEH","0Bwz6mBA7lUOKdmFDSE5qcWhRY00","1iUvg8ZsVoSbHXmraBNv2KYdU-RlZ6-EG","1ksXxsy3whF1ejPLeckTBSuis_jqbVYaL","11q7cyLIHP7LbU8OfoEi1mq4xkNeNReT-"),
("(16.0E) Eutelsat 16A","A0","160E","1pSenKFFeRgaNHSd7zXaWV60Bb_Zm5iY9","0Bwz6mBA7lUOKUm02S0RUQm5lYlk","1pIUMRPJXk8PXQgB6P_IWyPpqBCci3Imm","0Bwz6mBA7lUOKak5rM3ZlR1M2LVE","1vaJMN-oVDjokrZXki30NPdcKMXFmldMj","1GIw1Jb50nAsmVG00VmvFLTHlZ0Pp2Ly0","1U-q6zJfZNsGmOKT5V1j23guadZ_E1b61"),
("(19.2E) Astra 1KR,1L,1M,1N","C0","192E","1nA6ORiHrjqhhFWJqDp_0oAA1rvCkouST","0Bwz6mBA7lUOKRGQ5RWEwTE4wU1k","1xl9HfzWUsBS6A9QPBv27KzPQhVPNBCoz","0Bwz6mBA7lUOKd0FENXd6SEpkak0","1RrSoDjN3GdZMEHOeEIatmYSc-KOFuvz0","1UsIO-i1e0CmwynBpeL9KpXubQE5URPNn","1W21zlhQEtA8h-w-x3NQzM5TRkNp-FzKb"),
("(21.6E) Eutelsat 21B","D8","216E","1fgpbrdYzz2m5R1yvWrcmZKZkT8NT8-ts","0Bwz6mBA7lUOKVkxWbTk5b3NMQm8","19vjbWQQkXwSIEVe_NIemLMVK0HjA_2QL","0Bwz6mBA7lUOKQXZqM05kUm5GcWM","1Jl9rPkCwbK4YicCGtlwBXVRSK00GPSwq","1Up9a5HAvGELKo2jHncUaNxep9YVLKjy7","1XpPlDgiip4VgzKJkZweQz9QppjvMKOEG"),
("(23.5E) Astra 3B","EB","235E","15Ai2pMevfiJRjRCGzmMThLIxPdGifFJL","0Bwz6mBA7lUOKM1lZem1ySXpmR1U","1He0yE_RQHvww4UhQTGSV6pMp2njepuuj","0Bwz6mBA7lUOKQlFzbm5URVJOeWM","1dRfVqReJihznJ5XgkwcFrQ6GF_hqw5pU","1npEXkEZTj_beLtaU6ZG7EJP8ZTyMeDvk","1V7uADGyK0LyWtS6YHozPbP1ObkbrvhjN"),
("(26.0E) Badr 4,5,6","104","260E","1_1gfsxfXiIutkc_l6xw8ZEZnGRiElGEV","0Bwz6mBA7lUOKNTFFTTVxMVpfUWs","1f1rpewhVN4kTA-5ourREelRy3Kon6Z4t","0Bwz6mBA7lUOKMHZoSENZQ3BBZ00","1K2Q9WfQAS__r0g4hxMY04zJPIo2uS8-6","1Ix7saoWX8v6Els8mj6P5dD7gamgI66nX","1gjPsFfrmpUvPmNKGsDo8t8agbgmO4aEx"),
("(28.2E) Astra 2A,2E,2F,2G","11A","282E","1rALZTgdCA77H3GNc3iE1Vf2sikuqRYKM","0Bwz6mBA7lUOKZk0tQjdiUUhCM28","1iNkJiEk6x4s6TGqs7ffv_yfSS2q_oESA","0Bwz6mBA7lUOKczBJM0lobmNObTQ","1niJVPNP-QuNO7XPLz-ZnpC8NGblz7vMn","1RqudLqXBGGcgN0k3kAwa_ojAvtmUsqEW","1wLDAuXLSJx5iBbvWt3cO8mUDdzMwpBhS"),
("(31.5E) Astra 1G,5B","13B","315E","1WyWmF_gzlUXLO2G_4UwjErj5aUvuYdoq","0Bwz6mBA7lUOKMEpEYnNPUFNpMnM","1njiDAiHBznSltrb35beNt5_54ELyyTeW","0Bwz6mBA7lUOKTW9TT1gxTkI4VVk","1keH5P9annYW7G6NT6c8BHMvmCP1S54cz","1-Jrlp1R2NMp-b8y_gs5-MHnvZfvbmd-r","1EvpKXUKAeLIAKDcWZytjbCwMAFhaacaZ"),
("(33.0E) Eutelsat 33C","14A","330E","1rSih7nno2ewlX-JTHVj7BzO4B16nhbtK","0Bwz6mBA7lUOKTGw4THVpc1RCVHc","15I3-yV_VwWJJba469BFcFhrtzsJV9-3i","0Bwz6mBA7lUOKQ0RHMUdxa2U4aFk","1BIwY4ClvN5Y0ENo-GMP5IgiQT0I0wVqM","18UgBErj0RpDN3B_MfcALZ75T-_Gbsb96","1HERToxe-gZZVQQsS6q7igEgtnPqxSuca"),
("(36.0E) Eutelsat 36A,36B","168","360E","11xZdREdtQs_qmhZ1wM9lh98cM4iWcqzM","0Bwz6mBA7lUOKN3VycFNxMy1iZ00","1f76sBnQW9yG4GlZ0v6RIEEJvKllcdggT","0Bwz6mBA7lUOKemFBR2ZBTUtDQ1E","1tFN_mJ0svTQ0OGRnNNE2YYxQB0BHgrJw","1ynPkwDLVs3_r9dWzthOCgFwQg-mPolpW","1Fr3eSt0AE4KlvARMusRT6JHeOT8WjP9n"),
("(39.0E) Hellas Sat 2","186","390E","1b4Q7005qE507XYx5t8SrV-lHp2VgNQg4","0Bwz6mBA7lUOKSm5qMXpzZUZDN1k","1_GWVjOCPJiXDEodDsyoBRS3D22prtXXH","0Bwz6mBA7lUOKUUN4ZHk5UlhCRkU","1I21c-HTAlrCQwx9o3kpQ8P6h4aIlIDbH","1T13d2rRooEflur-x2Reorxip2CTeN0Gf","18bfdzKYFnbgmFatshRT6USlAwQyaUzkO"),
("(42.0E) Turksat 2A,3A,4A","1A4","420E","1KiR14byqBaZxLjWlYskzYr6fbVJjLKXK","0Bwz6mBA7lUOKLTJsWi1QRXBWeU0","1fA4_3nEVFjHhAOW978srTvEEppwvizU0","0Bwz6mBA7lUOKaEJoeDBneUVKRnM","1gkhgrmZ7GWUhBmNdTLg-QevmrFk29P-B","1LYP4YR6ZER-4r3zqqzIDiTFN1IPnOB3p","1xgserHSCHzaiGB-tURG6UHMzduZrP2MO"),
("(45.0E) Intelsat 12 (IS-12)","1C2","450E","1eSVif37PmAWX_Rkxstj5qjlwFUjVaA6l","0Bwz6mBA7lUOKMi14YWFJX2RxaFU","1-9erbJf69Nm6Z_cfec3mbTHOLvzRXB9d","0Bwz6mBA7lUOKSXQ1ZExNbG00c3M","1hrg74ybIcBfnHEoSlvDx5GpBemaU8jpN","1DAbJLwXyuvAnlCsNjUYTVIBTJ7QVp93e","1BHPqyvWd6o-xJ3MLwfQAmPmZP-q_kNVa"),
("(46.0E) Azerspace-1","1CC","460E","176cxSTZj80qUqu7rzZB0f4tMt0waI1aA","0Bwz6mBA7lUOKdkFET0VOeFRqelE","1YTKBvSE4D-QgTi1U40mZ9UjyUVxRNvLm","0Bwz6mBA7lUOKa1hHN1paMnF0ODA","1cwhP1JchjSudU7fD6np_VsXDZ0KIJnKx","1GZENLauvNnkdgGrfGBiImIHc4Lf-qifY","1p7NZYkF3C3a7oJT2cPDuIikz5je1M8qn"),
("(51.5E) Belintersat 1","203","515E","1scQ4vF44LaZj4BZR4S6yvxL_MUNTDGJh","0Bwz6mBA7lUOKbVVkRjVUU1RKUDA","1jCdrPSbCLapN2WyILEIu62n8X93ydB4t","0Bwz6mBA7lUOKNHNlVWJTZXBVamc","1H-S9u6QpQwywisBiRaC0op6z3j3C2lkO","1_g7GGEwI8qeOL0u94bkGEuIQH8bTg6IS","1aS4KEx5MKMm8q_TYUKGBTDBabJYytjIP"),
("(52.0E) Turkmenlem/MonacoSat","208","520E","1JZjOQ-Z35pfgsZiF-dGqBRC1K5ZGe0A9","0Bwz6mBA7lUOKQ0d3X2FPUlZUSVU","1XFyVSTpnCmAh9QH-LKRbET3s3nDF5mJ1","0Bwz6mBA7lUOKUk1nSjM1S25xVzQ","18A3NjxDekqe_bVMdQGp1UaHKEtctZpKu","1zNQUcQ7ymDEpzdl46jw4VF7tJReb3P6B","1XptcuONt5-oh3s9GYZGGsiGQv9yYwq7-"),
("(52.5E) Yahsat 1A","20D","525E","1grdVGdCuvcOvedbixHO89FH0Gzd9Zsjs","0Bwz6mBA7lUOKWklyNlFZMGVOZmc","1DGhQd_qKC9wNAGB4-RcZb6k0stDSDuRY","0Bwz6mBA7lUOKdXJXdndmLVBrTEk","1ReScn0LtLaAts64INep6Dri-4LSJA9r8","14Gdocf8Rq3_3-WTH-21-O1sQmjB7_fP9","1WS0etLdYWX_6JdzdQOtuJ-1Ap8exPOR4"),
("(53.0E) Express AM6","212","530E","16ACLpixzaIJ7ZZv1HH2WeOqDGhHnu5ep","0Bwz6mBA7lUOKU0swTXFiSlFZN3M","1LpqdNiaz2TXbFNJ2YI456FXqjXLYiNeQ","0Bwz6mBA7lUOKaVRNbVBnRDlmR3c","1MqC8vPaSTwu8pMl87Nnkz43f3ZEK3xSt","1iGwGAxkk1oNH9msehJd9lxSFUIgzAhGW","1PPq9BpOGBLzRyyEEN-olgBs5_kqXPWPc"),
("(54.9E) Yamal 402","225","549E","1wAKk0jjdr66X0tvPpt_Ve_jqlwsTvh23","0Bwz6mBA7lUOKdzlqNnp3SnhrX0U","1mA2_S3zIuFKvu7NlxfnLCZkUSNYSNJ__","0Bwz6mBA7lUOKdVZkRTVSQUkzUzg","1M2qOGpGBpu4UisZRWUq00_-mB-VzON5H","1HNl0Xo3eag_W8ExCC6BircXuGNa49BNc","1HTzDXGGea4RsQ2-BrKynmwi3jvjb0y2u"),
("(56.0E) Express AT1","230","560E","1eueYQ2l9I2p6mYYEUZ7Bi1AXIr-LUd_U","0Bwz6mBA7lUOKemVHMllONWtHNUk","1Sb4U9_JQ32CprMPllZQL5Invept9nhfK","0Bwz6mBA7lUOKUmp5cmlmMVlpZ2s","10MauyHPS02ClgCOnXkPC0HEihsVXAma4","1fINHcbnmMPkQsdpILuVykPgP2em92PHZ","1KZQJLYGU0IblH2EPprkPN4DgCRh6k-2z"),
("(57.0E) NSS 12","23A","570E","1w13NezVU9tdBfrG3PNhazUfZBv7z2uhE","0Bwz6mBA7lUOKTkpnUVFwYW90NzQ","1shJrKNOEjdbOY1-LOgF6dfsvH9tuTs30","0Bwz6mBA7lUOKSGFRakZuVXp4eWc","1KqLqXvqSgFlZywWgunFzK5M4_YdCLsEW","1lSO4YETxi14Y7DcBMKXPi9fS-EXU_AON","1r8rwa1zrtQQvPiCgMbZmLQq7FNKwhc0g"),
("(62.0E) Intelsat 902","26C","620E","1X3t3rmwtz5BoZICB8KF-wYOnw5B447pn","0Bwz6mBA7lUOKOGNlaTRaLUdjdVE","1FLBilxG3zuIz4V58uff0R53BhF-sWb02","0Bwz6mBA7lUOKSFFxN0hVd0lHSGc","1Bj-z98JuPFluZoDEkf4-5gG6mVa76yX3","1PVH2WogwUq8mSs1yuIkb623ALQ-vXDAY","10B6MkYiqIBCR2tKNicLo_8WxTnX9LFFM"),
("(66.0E) Intelsat 17","294","660E","1J5qEE4kn7GlU14xrQpFq2JVuk-GF_uVK","0Bwz6mBA7lUOKWTlrWmljc3F6dmc","1eSLr_H7YNO6XGHX1srsCXvLZYNcgqWab","0Bwz6mBA7lUOKWkJYWVI1VmNWRTA","1nGPwNYTk8rkbaeD-45Zsl7fNMuifokwG","13YHcKVgwXb62ItcL6aWlhKRGPnJAobrH","1tfJykXSvEZn_jlmQjkcZsjZBO4n5XUW-"),
("(68.5E) Intelsat 20 (IS-20)","2AD","685E","1ZqW5yrGT_jlGrLWksgqg7qITh0UokSfv","0Bwz6mBA7lUOKQkR4OWlPYmlIR3c","16gh76IayHfGCP0Pyw7HwGmYopL3NOBbP","0Bwz6mBA7lUOKV3hjdzFkZWpsMDQ","1a05Pm7t_lB1uwh7982fcANDgK_VMqmHD","1uz5OZIqVDK6cOBvQM-WmJ0dLaAAUcbrU","10c649PfkKftOjD1X4yKzVQjMj86OXRoE"),
("(70.5E) Eutelsat 70B","2C1","705E","1Sagr8PCXdeb7ZOxjFxlYnwvGJD2dqFRc","0Bwz6mBA7lUOKOUJsSHlVeHU4SWM","1aKSmJCR9TCsjyZ76cTnl9m2JCnC1Po1F","0Bwz6mBA7lUOKLS1ZUjFnQWJvZkE","1uwolHflEWs2JslUu2QC1d-kofETwKYwV","1aqCPc0p4aK9Ya7kLISSfFxEuJd7ZBDA-","1ntxnoqYwN6vQ-A2uYrlrFm_S0kTlhU9Z"),
("(74.9E) ABS 2/ABS 2A","2ED","750E","12WmT77YKlYbw92OgH-BhCjZrOB5rUvuo","0Bwz6mBA7lUOKWElfVkp5Qld5Yjg","1C_IXbFpUvoA0j8tJumpAFXnXoe3r8duN","0Bwz6mBA7lUOKYVIxQlFMUnhDNWs","1lMA-_Z-U21dhDF02R5G1JeDSPFYng5E6","1-FA5nZYlgmQbyEyic58YUrrsxP7Co3Dh","1xuuDHvjawRHU-WM5x7L5KhHCfm_ubr6X"),
("(75.0E) ABS 2/ABS 2A","2EE","750E","1Z70mHj7soWHATXGWWix8z48ft-ol_6b6","0Bwz6mBA7lUOKSE9SWnRCdHYtNTg","1vw9mViSyqjMRbrwUkPo8uOfoLvx47MuU","0Bwz6mBA7lUOKVXJYYWU0ZC15cms","1AshG3EeHIOFsJ6TfNlKRic8VGP1184RQ","1LgKKzIlu_6pfX13Zt4Xt7yB6zTdJLovZ","1F5l4xh-KT1FocNPDrFXj8svH9kPStEw3"),
("(85.0E) Intelsat 15/Horizons 2","352","851E","1isL9sYaUbntt4zpTOu1Hdsedy9x0zjMo","0Bwz6mBA7lUOKX0VsZnpzM0U4eEk","1AcVPVO5pzlRBYMmiqHiIdEiY2RKgNg0J","0Bwz6mBA7lUOKeXk4TTlmbXZHZ2s","1dzjAGqHZiV-4bufHK3zyL4R2TVVu_gYy","1aJXRX6Wke6WkjV-x63oEmPDFWgTwrDrk","18Ydq-L5atBv6KJMXspZUvPWLEIa6EzqH"),
("(85.1E) Intelsat 15/Horizons 2","353","851E","1HEVhORIAjl27TFdOze2qh6_ya36Cscir","0Bwz6mBA7lUOKZ2dEYV94ejlWOWM","1-8KfeNuqKDnuweo4hrDY7moUZDSTc4Qb","0Bwz6mBA7lUOKX2hjY295N09RX0k","1hPZGIIdZa0ATjmnTUYkk1RUUVXv4C8VU","1W7WnfYNVYkUAm3pJQQnhP35z3VnyEdCd","1wX5fPJKfJWq8PQg6plyc-mj6R3mvZUlp"),
]
ECM_LABELS = "CAM:\nCAID:\nProv.:\nPrvId:\nPID:\nUsing:\nProt.:\nAddr.:\nHops:\nShare:\nTime:\nSys.:"
CLRDATA = "..............\n..............\n..............\n..............\n..............\n..............\n..............\n..............\n..............\n..............\n..............\n.............."
