from Components.config import config
from socket import socket, AF_INET, SOCK_STREAM
import os
import codecs
import time as time1
from datetime import date, time
import math
from Components.Language import language
SHAREPATH = "/usr/share/enigma2/"
SKINPATH = "/usr/share/enigma2/hd_glass17/"
XML_FILE = "/tmp/weather.xml"
NO_WEATHER_PICON = "/usr/share/enigma2/hd_glass17/icons/3200.png"
ENA_Y = False
try:
	import requests
	ENA_Y = True
except:pass
lcMonths = ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]
if os.path.isfile('/etc/lcstrings.list') is True:
	myfile = open('/etc/lcstrings.list', 'r')
	lang = language.getActiveLanguage()
	for line in myfile.readlines():
		if line.startswith(str(lang)):
			line = line.strip().split(":")[1]
			lcMonths = (line.replace("\t","").replace(" ","")).strip().split(',')
			break
	myfile.close()

def chMSN():
	a = False	
	try:
		a = config.plugins.setupGlass17.par88.value == "MSN"
	except: pass
	return a
	
def toLocale(s):
	WeekDays = ["Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday"]
	Months = ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]
	for index, weekday in enumerate(WeekDays): 
		if s.find(weekday) >= 0:
			s = s.replace(weekday, _(weekday))
			break
	for index, month in enumerate(Months): 
		if s.find(month) >= 0:
			s = s.replace(month, lcMonths[index])		
			break
	return s

def nigttime(v):		
	try:
		if not config.plugins.setupGlass17.par24.value:
			v = v.replace("27","28").replace("29","30").replace("31","32").replace("27","28").replace("33","34")
	except: pass
	return v
			
def temperature_fix(tt,ena=True):
	if ena and tt[0] != '-' and tt[0] != '0':
		tt = '+' + tt
	return tt+unichr(176).encode("latin-1")
      
def chckUnit():
	a = config.plugins.setupGlass17.par86.value
	return ({False: a, True:config.plugins.setupGlass17.par13.value[0]}[a == "0"])
    
def netChck():
	try:
		chck = socket(AF_INET, SOCK_STREAM)
		chck.settimeout(0.8)
		ena = chMSN()
		a = ({False: 'weather.yahoo.com', True:'weather.service.msn.com'}[ena])
		b = not bool(chck.connect_ex((a, 80)))
		if not ena:
			return b
		elif not b:
			return not bool(chck.connect_ex(('www.msn.com', 80)))
		return b 
	except: pass
	return False
    
def setFcolor(w, c):
	if not 'foregroundColor="' in w:
		return w.replace('<widget', '<widget foregroundColor="%s"' % c) + "\n"
	return w.replace('foregroundColor="%s"' % (w.split('foregroundColor="')[1]).split('"')[0], 'foregroundColor="%s"' % c) + "\n"              			
			
def fixUtf8(what):
	what = what.replace('\xc2\x86', '').replace('\xc2\x87', '').decode("utf-8", "ignore").encode("utf-8") or ""
	return codecs.decode(what, 'UTF-8')

def sinrad(deg):
	return math.sin(deg * math.pi/180)

def cosrad(deg):
	return math.cos(deg * math.pi/180)

def convertToDate(d):
	d += 0.5
	s = int((d-int(d))*24*60*60+.5)
	m = int(s/60)
#	h = int(m/60)+time1.localtime().tm_isdst+time1.localtime().tm_hour - time1.gmtime().tm_hour  
	h = int(m/60)+time1.localtime().tm_hour - time1.gmtime().tm_hour  
	if h < 0:
		h += 24
	if h == 24:
		h = 0
	return time(h, m % 60, s % 60)
    
def calcSun(longitude, latitude, day=0):
	dt = date.today()
	a = math.floor((14-dt.month)/12)
	y = dt.year+4800-a
	m = dt.month+12*a -3
	julian_date = day+dt.day+math.floor((153*m+2)/5)+365*y+math.floor(y/4)-math.floor(y/100)+math.floor(y/400)-32045    
	nstar = (julian_date - 2451545.0 - 0.0009)-(longitude/360)
	n = round(nstar)
	jstar = 2451545.0+0.0009+(longitude/360) + n
	M = (357.5291+0.98560028*(jstar-2451545)) % 360
	c = (1.9148*sinrad(M))+(0.0200*sinrad(2*M))+(0.0003*sinrad(3*M))
	l = (M+102.9372+c+180) % 360
	jtransit = jstar + (0.0053 * sinrad(M)) - (0.0069 * sinrad(2 * l))
	delta = math.asin(sinrad(l) * sinrad(23.45))*180/math.pi
	H = math.acos((sinrad(-0.83)-sinrad(latitude)*sinrad(delta))/(cosrad(latitude)*cosrad(delta)))*180/math.pi
	jstarstar = 2451545.0+0.0009+((H+longitude)/360)+n
	jset = jstarstar+(0.0053*sinrad(M))-(0.0069*sinrad(2*l))
	jrise = jtransit-(jset-jtransit)
	return (convertToDate(jrise), convertToDate(jset))

def ignZero(v):
	v = v.strip().split()[0]
	if config.plugins.setupGlass17.par138.value and v[0] == "0" and len(v) == 5:
		v = v[1:]
	elif not config.plugins.setupGlass17.par138.value and len(v) == 4:
		v = "0" + v		
	return v		

def fixNameOf(t):
	try:				
		if t.startswith("T-K"):
			t = "T-KABEL"
		elif t == "T-Systems/MTI":
			t = "T-SYSTEMS"
		t = ''.join(i for i in t if ord(i)<128)
		t = t.replace("\t","").strip().upper()
		t = t.replace(",","").replace("(","").replace(")","")
	except: pass
	return t    
            		
def setDefPicon(t="picon_default.png"):
	t = SKINPATH + t
	if os.path.isfile(t):
		return t
	else:
		return SHAREPATH + "skin_default/picon_default.png"
		
